#include "../m22.h"
#include <iostream.h>
#include <math.h>
#include <assert.h>



main()
{
 matrix22 a(.9, .1, -.124, .8);

 C matrix22 b = a*a;
 cout << "a^2\n" << flush;
 cout << "the square of\n" << a << "\n is\n" << b << "\n" << flush;

 C matrix22 c = sqrt(b);

 cout << "Result of sqrt():\n" << c << "\n" << flush;
 cout << "sqrt()*sqrt() = \n" << c*c << "\n";
 assert((b-c*c).norm() < 1e-6);
 cout << "OK\n";
}



